org.eclipse.microprofile.context.spi

## Interface ContextManagerExtension

    public interface ContextManagerExtension

`ContextManagerExtension` instances receive notification upon creation of each `ContextManager`.

This serves as a convenient invocation point for enabling system wide context propagator hooks.

Implementations of `ContextManagerExtension` and related classes are packaged within a third party JAR file, or they can be supplied by the container or MicroProfile Context Propagation implementation. `ContextManagerExtension`s are made discoverable via the standard `ServiceLoader` mechanism. The JAR file that packages it must include a file of the following name and location,

`META-INF/services/org.eclipse.microprofile.context.spi.ContextManagerExtension`

The content of the aforementioned file must be one or more lines, each specifying the fully qualified name of a `ContextManagerExtension` implementation that is provided within the JAR file.

Upon successful `ContextManager` creation, the MicroProfile Context Propagation implementation must subsequently query the container's `ServiceLoader` for all `ContextManagerExtension`s and call the `setup` method on each instance.

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `setup(ContextManager manager)` This method is called after every `ContextManager` instance has been successfully created.

### Method Detail

#### setup

    void setup(ContextManager manager)

This method is called after every `ContextManager` instance has been successfully created. Implementations may use the supplied manager to create and configure builders and build instances of `ManagedExecutor` and `ThreadContext`.

Parameters:
  `manager` - the `ContextManager` instance that was just created.